package com.alibaba.druid.sql.dialect.db2.ast.stmt;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.ast.statement.SQLCreateStatement;
import com.alibaba.druid.sql.dialect.db2.visitor.DB2ASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class DB2CreateTableSpaceStatement extends SQLStatementImpl implements SQLCreateStatement {
   private SQLName tableSpaceName;
   private boolean in;
   private SQLName groupName;
   private boolean managedBy;
   private SQLName managedType;
   private SQLName ownerName;
   private SQLName locationDir;
   private boolean extentsize;
   private SQLExpr extentsizeNum;
   private boolean bufferpoo;
   private SQLExpr bufferpoolName;
   private boolean autoresize;
   private boolean yesOrNo;
   private boolean maxsize;
   private SQLExpr maxsizeNum;
   private boolean overhead;
   private SQLExpr overheadNum;
   private boolean transferrate;
   private SQLExpr transferrateNum;
   private boolean pagesize;
   private SQLExpr pagesizeNum;
   private boolean segsize;
   private SQLExpr segsizeNum;
   private boolean file;
   private SQLExpr fileSpecification;

   public SQLName getTableSpaceName() {
      return this.tableSpaceName;
   }

   public void setTableSpaceName(SQLName tableSpaceName) {
      this.tableSpaceName = tableSpaceName;
   }

   public boolean isIn() {
      return this.in;
   }

   public void setIn(boolean in) {
      this.in = in;
   }

   public SQLName getGroupName() {
      return this.groupName;
   }

   public void setGroupName(SQLName groupName) {
      this.groupName = groupName;
   }

   public boolean isManagedBy() {
      return this.managedBy;
   }

   public void setManagedBy(boolean managedBy) {
      this.managedBy = managedBy;
   }

   public SQLName getManagedType() {
      return this.managedType;
   }

   public void setManagedType(SQLName managedType) {
      this.managedType = managedType;
   }

   public SQLName getOwnerName() {
      return this.ownerName;
   }

   public void setOwnerName(SQLName ownerName) {
      this.ownerName = ownerName;
   }

   public SQLName getLocationDir() {
      return this.locationDir;
   }

   public void setLocationDir(SQLName locationDir) {
      this.locationDir = locationDir;
   }

   public boolean isExtentsize() {
      return this.extentsize;
   }

   public void setExtentsize(boolean extentsize) {
      this.extentsize = extentsize;
   }

   public SQLExpr getExtentsizeNum() {
      return this.extentsizeNum;
   }

   public void setExtentsizeNum(SQLExpr extentsizeNum) {
      this.extentsizeNum = extentsizeNum;
   }

   public boolean isBufferpoo() {
      return this.bufferpoo;
   }

   public void setBufferpoo(boolean bufferpoo) {
      this.bufferpoo = bufferpoo;
   }

   public SQLExpr getBufferpoolName() {
      return this.bufferpoolName;
   }

   public void setBufferpoolName(SQLExpr bufferpoolName) {
      this.bufferpoolName = bufferpoolName;
   }

   public boolean isAutoresize() {
      return this.autoresize;
   }

   public void setAutoresize(boolean autoresize) {
      this.autoresize = autoresize;
   }

   public boolean isYesOrNo() {
      return this.yesOrNo;
   }

   public void setYesOrNo(boolean yesOrNo) {
      this.yesOrNo = yesOrNo;
   }

   public boolean isMaxsize() {
      return this.maxsize;
   }

   public void setMaxsize(boolean maxsize) {
      this.maxsize = maxsize;
   }

   public SQLExpr getMaxsizeNum() {
      return this.maxsizeNum;
   }

   public void setMaxsizeNum(SQLExpr maxsizeNum) {
      this.maxsizeNum = maxsizeNum;
   }

   public boolean isOverhead() {
      return this.overhead;
   }

   public void setOverhead(boolean overhead) {
      this.overhead = overhead;
   }

   public SQLExpr getOverheadNum() {
      return this.overheadNum;
   }

   public void setOverheadNum(SQLExpr overheadNum) {
      this.overheadNum = overheadNum;
   }

   public boolean isTransferrate() {
      return this.transferrate;
   }

   public void setTransferrate(boolean transferrate) {
      this.transferrate = transferrate;
   }

   public SQLExpr getTransferrateNum() {
      return this.transferrateNum;
   }

   public void setTransferrateNum(SQLExpr transferrateNum) {
      this.transferrateNum = transferrateNum;
   }

   public boolean isPagesize() {
      return this.pagesize;
   }

   public void setPagesize(boolean pagesize) {
      this.pagesize = pagesize;
   }

   public SQLExpr getPagesizeNum() {
      return this.pagesizeNum;
   }

   public void setPagesizeNum(SQLExpr pagesizeNum) {
      this.pagesizeNum = pagesizeNum;
   }

   public boolean isSegsize() {
      return this.segsize;
   }

   public void setSegsize(boolean segsize) {
      this.segsize = segsize;
   }

   public SQLExpr getSegsizeNum() {
      return this.segsizeNum;
   }

   public void setSegsizeNum(SQLExpr segsizeNum) {
      this.segsizeNum = segsizeNum;
   }

   public boolean isFile() {
      return this.file;
   }

   public void setFile(boolean file) {
      this.file = file;
   }

   public SQLExpr getFileSpecification() {
      return this.fileSpecification;
   }

   public void setFileSpecification(SQLExpr fileSpecification) {
      this.fileSpecification = fileSpecification;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((DB2ASTVisitor)visitor);
   }

   public void accept0(DB2ASTVisitor visitor) {
      visitor.visit(this);
   }
}
